# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:08 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	SimpleVariable
Summary:	Math::SimpleVariable - simple representation of mathematical variables
Summary(pl):	Math::SimpleVariable - prosta reprezentacja zmiennych matematycznych
Name:		perl-Math-SimpleVariable
Version:	0.03
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::SimpleVariable is a simple representation of mathematical
variables, with an obligatory name and an optional value. This class
on itself might not seem very useful at first sight, but you might
want to derive different types of variables for some application. That
way, objects of the derived variable class can be accessed
interchangeably with the here provided protocols.

%description -l pl
Math::SimpleVariable to prosta reprezentacja zmiennych matematycznych,
z obowizkow nazw i opcjonaln wartoci. Ta klasa sama w sobie moe
nie wydawa si zbyt przydatna, ale mona z niej wyprowadzi rne
typy zmiennych dla aplikacji. W ten sposb, do obiektw tych nowych
klas mona odwoywa si przy pomocy udostpmionych przez ten modu
protokow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Math/SimpleVariable.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-SimpleVariable.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:08  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:50  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

